package capitulo04.bloque10;

public class Ejercicio02 {
    public static void main(String[] args) {

        char[][] matriz = new char[10][30];

        for (int i = 0; i < matriz.length; i++) {
            int numAsteriscos = (int) (Math.random() * (matriz[i].length + 1));

            for (int j = 0; j < numAsteriscos; j++) {
                matriz[i][j] = '*';
            }
            for (int j = numAsteriscos; j < matriz[i].length; j++) {
                matriz[i][j] = ' ';
            }
        }

        for (int i = 0; i < matriz.length; i++) {
            for (int j = 0; j < matriz[i].length; j++) {
                System.out.print(matriz[i][j]);
            }
            System.out.println();
        }
    }
}
